Bug 198392 - Package nfs-utils lacks IPv6 support
Package nfs-utils lacks IPv6 support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Layton
Ben Levenson
bzcl34nup
:
: 200505 (view as bug list)
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:24 EDT by Peter Vrabec
Modified: 2010-04-09 00:18 EDT (History)
6 users (show)

See Also:
Fixed In Version: nfs-utils-1.2.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-09 00:18:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:24:22 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/nfs-utils-1.0.8-rc4/utils/gssd/gssd_proc.c:154:	if (!(ent = gethostbyaddr(&inaddr, sizeof(inaddr), AF_INET))) {
/nfs-utils-1.0.8-rc4/utils/gssd/gssd_proc.c:546:	ai_hints.ai_family = PF_INET;
/nfs-utils-1.0.8-rc4/utils/statd/rmtcall.c:63:	if ((sockfd = socket(AF_INET, SOCK_DGRAM, IPPROTO_UDP)) < 0) {
/nfs-utils-1.0.8-rc4/utils/statd/rmtcall.c:71:	sin.sin_family = AF_INET;
/nfs-utils-1.0.8-rc4/utils/statd/rmtcall.c:120:			if (ifap->ifa_addr->sa_family != AF_INET)
/nfs-utils-1.0.8-rc4/utils/statd/rmtcall.c:129:				sizeof(sin->sin_addr), AF_INET);
/nfs-utils-1.0.8-rc4/utils/statd/rmtcall.c:188:	if (hp->h_addrtype != AF_INET) {
/nfs-utils-1.0.8-rc4/utils/statd/rmtcall.c:189:		note(N_ERROR, "%s is not an AF_INET address", hname);
/nfs-utils-1.0.8-rc4/utils/statd/rmtcall.c:365:	sin.sin_family = AF_INET;
/nfs-utils-1.0.8-rc4/utils/mountd/rmtab.c:142:	if (!(hp = gethostbyaddr((char *)&addr, sizeof(addr), AF_INET))) {
/nfs-utils-1.0.8-rc4/utils/mountd/auth.c:154:				     AF_INET);
/nfs-utils-1.0.8-rc4/utils/mountd/auth.c:157:				     AF_INET);
/nfs-utils-1.0.8-rc4/utils/showmount/showmount.c:160:		server_addr.sin_family = AF_INET;
/nfs-utils-1.0.8-rc4/utils/showmount/showmount.c:168:		server_addr.sin_family = AF_INET;
/nfs-utils-1.0.8-rc4/support/misc/tcpwrapper.c:103:			sizeof (addr->sin_addr), AF_INET);
/nfs-utils-1.0.8-rc4/support/misc/from_local.c:116:    if ((sock = socket(PF_INET, SOCK_DGRAM, 0)) < 0) {
/nfs-utils-1.0.8-rc4/support/misc/from_local.c:132:	if (ifr->ifr_addr.sa_family == AF_INET) {	/* IP net interface */
/nfs-utils-1.0.8-rc4/support/export/client.c:53:		if (hp == NULL || hp->h_addrtype != AF_INET) {
/nfs-utils-1.0.8-rc4/support/export/client.c:252:		he = get_reliable_hostbyaddr((const char*)&addr, sizeof(addr), AF_INET);
/nfs-utils-1.0.8-rc4/support/export/client.c:254:		he = get_hostent((const char*)&addr, sizeof(addr), AF_INET);
Comment 1 Bug Zapper 2008-04-03 13:40:57 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Peter van Egdom 2008-05-04 07:49:45 EDT
*** Bug 200505 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2008-05-13 22:12:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 18:12:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tore Anderson 2009-06-10 12:21:55 EDT
This bug is present in F11 also (or at least a rawhide snapshot just days before its release), as evidenced by the following failure when trying to export a file system to my LAN:

[root@wrath ~]# cat /etc/exports 
/home 2001:16d8:ee47::/64(ro)
[root@wrath ~]# service nfs start
Starter NFS-tjenester:  exportfs: invalid netmask `64' for 2001:16d8:ee47::
                                                           [FEILET]
Setter NFS-kvoter:                                         [  OK  ]
Starter NFS-tjeneste                                       [  OK  ]
Starter NFS mountd:                                        [  OK  ]

Doesn't work with host-names resolving to v6 addresses, either, nor does it work to mount filesystems from remote v6 servers:

[root@wrath ~]# getent hosts lust.v6.fud.no
2001:16d8:ee47:0:210:a7ff:fe04:b403 lust.v6.fud.no
[root@wrath ~]# cat /etc/exports 
/home lust.v6.fud.no(ro)
[root@wrath ~]# service nfs start
Starter NFS-tjenester:  exportfs: lust.v6.fud.no has non-inet addr
exportfs: lust.v6.fud.no has non-inet addr
                                                           [  OK  ]
Setter NFS-kvoter:                                         [  OK  ]
Starter NFS-tjeneste                                       [  OK  ]
Starter NFS mountd:                                        [  OK  ]
[root@wrath ~]# showmount -e localhost
Export list for localhost:
[root@wrath ~]# mount lust.v6.fud.no:/home /mnt
mount.nfs: DNS resolution failed for lust.v6.fud.no: Name or service not known

Not that there's any NFS server on that particular host, but it fails to even contact it (I checked with tcpdump).

So this bug needs to be kept open for F11 as well.  I don't see how I can change the version flag though, perhaps only the submitter can do that?

Tore
Comment 6 Jeff Layton 2010-01-18 10:07:26 EST
The necessary pieces for enabling client-side IPv6 in F13 are now in place. The only thing we lack currently is a single kernel patch which is going into 2.6.33 but isn't in 2.6.32. I'm working that out with the Fedora kernel maintainers now.

Once that's done, we can enable ipv6 in nfs-utils in F13 and client side support shouldbe complete. Server-side support is still in progress upstream and will probably be another 6 months or more...
Comment 7 Fedora Update System 2010-03-22 15:36:25 EDT
nfs-utils-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nfs-utils-1.2.2-1.fc13
Comment 8 Fedora Update System 2010-03-23 19:34:39 EDT
nfs-utils-1.2.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfs-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nfs-utils-1.2.2-1.fc13
Comment 9 Fedora Update System 2010-04-09 00:18:14 EDT
nfs-utils-1.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.